Function = {}

function Function.welcome(delay)

  if delay == nil then 
    delay = 0
  end
  
  SCHEDULER:New( nil,
  function()
    
    local welcomeMessage = REPORT:New("▜  Welcome To The Fraternity ▛")
    welcomeMessage:Add("")
    welcomeMessage:Add("Mission: Operation Grey Hound")
    welcomeMessage:Add("See briefing for instructions.")
          
    Function.PlaySoundTAll("TheFraternityIntro.ogg")
    MESSAGE:New(welcomeMessage:Text(),15,nil,true):ToAll()
    welcomeMessage = nil
  end, {},delay)

end

function Function.PlaySoundToGroup(soundfile,group)
  local PlayAudioFile = USERSOUND:New( soundfile )
  PlayAudioFile:ToGroup(group)
end

--Play SoundFile to Unit
function Function.PlaySoundToUnit(soundfile,unit)
  local PlayAudioFile = USERSOUND:New( soundfile )
  local group = unit:GetGroup()
  PlayAudioFile:ToGroup(group)
end

--play SoundFile to All Users
function Function.PlaySoundTAll(soundfile)
  local PlayToAll = USERSOUND:New( soundfile )
  PlayToAll:ToAll()
end

function Function.SmokeWarehouse(group,zone)
 SmokeSch = SCHEDULER:New( nil,
  function()
  
    if group:IsInZone(zone) then
        STATIC:FindByName('WarehouseSmoke'):SmokeWhite()
        
        SCHEDULER:New( nil,
        function()
          --continue smoking
          STATIC:FindByName('WarehouseSmoke'):SmokeWhite()
        end, {},310,310)
    end
    
    SmokeSch:Stop()
  end, {},1,1)
end
