OperationBlueSpadework = {} --Transportion of troops from Nalchi to Fort Washington in the town of Poti
--Settings
OperationBlueSpadework.PlayerGroup = GROUP:FindByName( "Hercules" )

Function.welcome(6)

--other groups/zones
local InfantryGroup1 = GROUP:FindByName( "Troops-1" )
local InfantryGroup2 = GROUP:FindByName( "Troops-2" )
local InfantryGroup3 = GROUP:FindByName( "Troops-3" )

local InfantryCargo1 = CARGO_GROUP:New( InfantryGroup1, "Troops", "Troops1", 2000 )
local InfantryCargo2 = CARGO_GROUP:New( InfantryGroup2, "Troops", "Troops2", 2000 )
local InfantryCargo3 = CARGO_GROUP:New( InfantryGroup3, "Troops", "Troops3", 2000 )

local heloGroup = GROUP:FindByName("TransportHelo")
local heloUnit = UNIT:FindByName("TransportHelo")

local NalchikFollowMe = GROUP:FindByName("FollowMe")

local NalchikParkingZone = ZONE:New('Nalchik_Park_Spot')

function OperationBlueSpadework:BoardTroops(CargoCarrierGroup,delay)
  local CargoCarrier = CargoCarrierGroup
  if delay == nil then delay = 0 end
  
  InfantryCargo1:__Board(delay, CargoCarrier, 25 )
  InfantryCargo2:__Board(delay + 2, CargoCarrier, 25 )
  InfantryCargo3:__Board(delay + 4, CargoCarrier, 25 )
  
  Cargo3Loaded = SCHEDULER:New( nil,
      function()
        if InfantryCargo3:IsLoadedInCarrier(CargoCarrier) then
          MESSAGE:New("Troops are loaded...",3):ToAll()
          Cargo3Loaded:Stop()
        end
      end, {},1,1)

end

function OperationBlueSpadework:unBoardTroops(delay)
  if delay == nil then delay = 0 end
    
  if delay ~= 0 then
    SCHEDULER:New( nil,
      function()
        MESSAGE:New("UnBording Troops...",5):ToAll() 
      end, {},delay)
  else
       MESSAGE:New("UnBording Troops...",5):ToAll() 
  end
  
  InfantryCargo1:__UnBoard(delay,heloGroup:GetPointVec2())
  InfantryCargo2:__UnBoard(delay + 40,heloGroup:GetPointVec2())
  InfantryCargo3:__UnBoard(delay + 80,heloGroup:GetPointVec2())
  
  heloGroup:StartUncontrolled(30) --start transport helo 
  
  function InfantryCargo1:OnEnterUnLoaded(Controllable)
    InfantryCargo1:__Board(1,heloGroup,15)
    InfantryCargo1.OnEnterUnLoaded = nil
  end
  
  function InfantryCargo2:OnEnterUnLoaded(Controllable)
    InfantryCargo2:__Board(1,heloGroup,15)
    InfantryCargo2.OnEnterUnLoaded = nil
 
  end
  
  function InfantryCargo3:OnEnterUnLoaded(Controllable)
    InfantryCargo3:__Board(1,heloGroup,15)
    InfantryCargo3.OnEnterUnLoaded = nil
  end
  
  timer3 = SCHEDULER:New( nil,
  function()
    if InfantryCargo1:IsLoadedInCarrier(heloGroup) and InfantryCargo2:IsLoadedInCarrier(heloGroup) and InfantryCargo3:IsLoadedInCarrier(heloGroup)then
      MESSAGE:New('Troops Loaded Into Transport Helo',5):ToAll()
      timer3:Stop()
    end
  end, {},1,1)
    
  
end
--OperationBlueSpadework:unBoardTroops(10)
--OperationBlueSpadework:BoardTroops(OperationBlueSpadework.PlayerGroup,5)

--MENU1
Menu1Timer = SCHEDULER:New( nil,
  function()
    if OperationBlueSpadework.PlayerGroup:IsInZone(NalchikParkingZone) then
      local function boardTroops()
        MESSAGE:New('Boarding Troops...',3):ToAll()
        SCHEDULER:New( nil,
          function()
            Function.PlaySoundToGroup("MountUp.ogg",OperationBlueSpadework.PlayerGroup)
            NalchikFollowMe:Destroy(false,math.random(10,20))
          end, {},5)
        
        OperationBlueSpadework:BoardTroops(OperationBlueSpadework.PlayerGroup,6)
        loadTroopsMenu:Remove()
      end
      --show menu
      loadTroopsMenu = MENU_GROUP:New( OperationBlueSpadework.PlayerGroup, "Troops" )
      loadNalchikTroopCommand = MENU_GROUP_COMMAND:New( OperationBlueSpadework.PlayerGroup, "Board Troops", loadTroopsMenu, boardTroops, OperationBlueSpadework.PlayerGroup )
            
      Menu1Timer:Stop()
    end
  end, {},1,1)

--Menu2
Menu2Timer = SCHEDULER:New( nil,
  function()
    if OperationBlueSpadework.PlayerGroup:IsInZone(ZONE:New('Fort Washington Parking')) then
      local function unboardTroops()
        MESSAGE:New('UnBoarding Troops...',3):ToAll()
        OperationBlueSpadework:unBoardTroops(6)
        unloadTroopsMenu:Remove()
        
        --Mission Success!
        SCHEDULER:New( nil,
          function()
            Function.PlaySoundToGroup("info.ogg",OperationBlueSpadework.PlayerGroup)
            MESSAGE:New("Mission Successful!",5):ToGroup(OperationBlueSpadework.PlayerGroup)
          end, {},40)
        
        
      end
      --show menu
      unloadTroopsMenu = MENU_GROUP:New( OperationBlueSpadework.PlayerGroup, "Troops" )
      unloadNalchikTroopCommand = MENU_GROUP_COMMAND:New( OperationBlueSpadework.PlayerGroup, "UnBoard Troops", unloadTroopsMenu, unboardTroops, OperationBlueSpadework.PlayerGroup )
            
      Menu2Timer:Stop()
    end
  end, {},1,1)


--Other Schedulers
NalchikTaxiSch = SCHEDULER:New( nil,
  function()
    if OperationBlueSpadework.PlayerGroup:IsInZone(ZONE:New('activateTaxi')) then
      Function.PlaySoundToGroup("CarHorn.ogg",OperationBlueSpadework.PlayerGroup)
      MESSAGE:New("Follow Me!",3):ToGroup(OperationBlueSpadework.PlayerGroup)
      NalchikFollowMe:Activate(5)
      NalchikTaxiSch:Stop()
    end
  end, {},1,1)
  
Function.SmokeWarehouse(OperationBlueSpadework.PlayerGroup,ZONE:New('Smoke'))

